# -*- coding: utf-8 -*-

import numpy, matplotlib.pyplot


# Définition de la fonction

def fonction (x) :
    return 3.56995*x*(1-x)


# Définition de la fonction d'affichage
# ListeValeurs : liste des valeurs de la suite
# Y_Min, Y_Max : ordonnées extrémales de la fenêtre de visualisation
# Sortie : affichage des valeurs de la suite.

def suite_graphe (ListeValeurs, Y_Min, Y_Max) :
    Range = [x for x in range(len(ListeValeurs))]
    matplotlib.pyplot.clf()
    matplotlib.pyplot.plot(Range, ListeValeurs, 'r.', markersize=2)
    matplotlib.pyplot.axis([0, len(ListeValeurs), Y_Min, Y_Max])
    matplotlib.pyplot.show()


# Construction de la liste des 51 premières valeurs de la suite

Iteration = 50
x = 0.3
ListeValeurs = []

for n in range(Iteration+1) :
    ListeValeurs.append(x)
    x = fonction(x)


# Affichage des valeurs de la suite

suite_graphe(ListeValeurs, 0, 1)
