# -*- coding: utf-8 -*-

import numpy
from decimal import *
getcontext().prec = 100


# Définition de la fonction

def fonction (x) :
    return Decimal(3.56995)*x*(1-x)


# Définition de la fonction d'écriture
# ListeValeurs : liste des valeurs à écrire dans le fichier texte (de type float ou decimal)
# Nom : nom du fichier texte (chaîne de caractères)
# Si nécessaire, pensez à écrire l'emplacement exact du fichier texte
# Par exemple : Nom = 'C:/UserFiles/MaListe'
# Sortie : créée le fichier Nom au format texte, et écrit les valeurs successives de la suite dans de fichier.

def affichage_valeurs (ListeValeurs, Nom) :
    TextFile = open(str(Nom)+".txt", "w")
    for x in ListeValeurs:
        TextFile.write(str(x)+'\n')
    TextFile.close()


# Construction des 201 premières valeurs de la suite

Iteration = 200
x = Decimal(numpy.random.uniform(0,1))
ListeValeurs = []

for n in range(Iteration+1) :
    ListeValeurs.append(x)
    x = fonction(x)


# Ecriture du fichier

affichage_valeurs(ListeValeurs, '03_AffichageValeurs')
